org.jfree.ui

## Class OverlayLayout

- java.lang.Object
- - org.jfree.ui.OverlayLayout

- All Implemented Interfaces:
    java.awt.LayoutManager

      public final class OverlayLayout
      extends java.lang.Object
      implements java.awt.LayoutManager

  A simple layoutmanager to overlay all components of a parent.

  This layout manager acts similiar to the card layout, but all childs of the parent band have the same size and all childs can be visible at the same time.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OverlayLayout()` DefaultConstructor.
    `OverlayLayout(boolean ignoreInvisible)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLayoutComponent(java.lang.String name, java.awt.Component comp)` If the layout manager uses a per-component string, adds the component `comp` to the layout, associating it with the string specified by `name`.
    `void` | `layoutContainer(java.awt.Container parent)` Lays out the specified container.
    `java.awt.Dimension` | `minimumLayoutSize(java.awt.Container parent)` Calculates the minimum size dimensions for the specified container, given the components it contains.
    `java.awt.Dimension` | `preferredLayoutSize(java.awt.Container parent)` Calculates the preferred size dimensions for the specified container, given the components it contains.
    `void` | `removeLayoutComponent(java.awt.Component comp)` Removes the specified component from the layout.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OverlayLayout

          public OverlayLayout(boolean ignoreInvisible)

      Creates a new instance.
      Parameters:
        `ignoreInvisible` - whether to ignore invisible components when computing the layout.

    - #### OverlayLayout

          public OverlayLayout()

      DefaultConstructor.

  - ### Method Detail

    - #### addLayoutComponent

          public void addLayoutComponent(java.lang.String name,
                                java.awt.Component comp)

      If the layout manager uses a per-component string, adds the component `comp` to the layout, associating it with the string specified by `name`.
      Specified by:
        `addLayoutComponent` in interface `java.awt.LayoutManager`
      Parameters:
        `name` - the string to be associated with the component
        `comp` - the component to be added

    - #### removeLayoutComponent

          public void removeLayoutComponent(java.awt.Component comp)

      Removes the specified component from the layout.
      Specified by:
        `removeLayoutComponent` in interface `java.awt.LayoutManager`
      Parameters:
        `comp` - the component to be removed

    - #### layoutContainer

          public void layoutContainer(java.awt.Container parent)

      Lays out the specified container.
      Specified by:
        `layoutContainer` in interface `java.awt.LayoutManager`
      Parameters:
        `parent` - the container to be laid out

    - #### minimumLayoutSize

          public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

      Calculates the minimum size dimensions for the specified container, given the components it contains.
      Specified by:
        `minimumLayoutSize` in interface `java.awt.LayoutManager`
      Parameters:
        `parent` - the component to be laid out
      Returns:
        the minimum size computed for the parent.
      See Also:
        `preferredLayoutSize(java.awt.Container)`

    - #### preferredLayoutSize

          public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

      Calculates the preferred size dimensions for the specified container, given the components it contains.
      Specified by:
        `preferredLayoutSize` in interface `java.awt.LayoutManager`
      Parameters:
        `parent` - the container to be laid out
      Returns:
        the preferred size computed for the parent.
      See Also:
        `minimumLayoutSize(java.awt.Container)`